
Foreman - Refactor #36839

Optimize apipie-dsl translate function

10/17/2023 03:49 PM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: Internationalization   

Target version:    

Difficulty:  Fixed in Releases: 3.9.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/9866

  

Description

The current method doesn't use FastGettext.with_locale and instead re-implements this. It also always calls this even if no string has

been provided.

Associated revisions

Revision b8e2e059 - 10/20/2023 01:05 PM - Ewoud Kohl van Wijngaarden

Fixes #36839 - Optimize apipie translate methods

History

#1 - 10/17/2023 03:51 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman/pull/9866 added

#2 - 10/20/2023 01:05 PM - The Foreman Bot

- Fixed in Releases 3.9.0 added

#3 - 10/20/2023 02:00 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|b8e2e0594f6b752f7558191fb75a25ec2fee5fce.
